/* ============================ */
/*        Manuel Gallegos       */
/*           checkin.c          */
/*           Fall 1995          */
/* ============================ */

#include "checkin.h"


int main( int argc, char *argv[] )
{
  int num, tn;
  INTER rec = {NULL,NULL,NULL,0,NULL,NULL,0,0,0,0,0,0,NULL,0,0};
  char *dmsg;
  int rewrote;
  FILE *cmdptr;
  int oldgtime;
  char oldgdiff[80];

  dmsg = (char *) malloc (sizeof(char)*90);
  DEBUG = 0;
  gtime = 0;
  strcpy(gdiff,"\0");
  debug_msg("checking command line args");
  rec = check_args (argc,argv);
  sprintf(dmsg,"global rewrite ... time=%3d diff=%s",gtime,gdiff);
  debug_msg(dmsg);
  oldgtime = gtime;
  strcpy(oldgdiff,gdiff);
  sprintf(dmsg,"cmd=%1d inf=%1d desc=%1d tout=%1d dopt=%1d outf=%1d globaltime=%1d globaldiff=%1d",rec.cmdline,rec.infile,rec.desc,rec.timeout,rec.diffopt,rec.outfiles,rec.gtime,rec.gdiff);
  debug_msg(dmsg);
  tests = createlist ();
  if ( !(rewrote = CDIR_made()) )
    {
      debug_msg ("parsing commands file");
      tn = parse_cfile ();
      if (DEBUG)
	{
	  listcases (tests);
	}
    }
  else
    {
      debug_msg("first test is 0");
      tn = 0;
    }
  if ( !rec.gtime && !rec.gdiff )
    {
      debug_msg("adding place for new test");
      newcase (tests,tn);
      debug_msg("new test added");
      if (DEBUG)
	{
	  listcases (tests);
	}
      gotolast (tests);
      if (DEBUG)
	fprintf(stderr,"test number %d\n",getno(tests));
      interactive (tests, rec);
      cmdptr = append_CMDF ();
      update_CMDF (tests,cmdptr);
    }
  else
    {
      if (rec.gtime)
	gtime = oldgtime;
      if (rec.gdiff)
	strcpy(gdiff,oldgdiff);
      sprintf(dmsg,"global rewrite ... time=%3d diff=%s",gtime,gdiff);
      debug_msg(dmsg);
      output_header ();
      cmdptr = append_CMDF ();
      firstcase (tests);
      while (! lastcase(tests) )
	{
	  update_CMDF (tests,cmdptr);
	  nextcase (tests);
	}
    }
  fclose(cmdptr);

  exit (0);
}


