/* Jonathan Raloff 10/1/95
 * Exec-tests.c 
 * This program runs the test found in the tests object.
 * This program gives one test at a time to run_test 
 */

#include "rt.h"

void exec_tests(CASES *tests)
{
#ifdef DBUGMSG
  /*found*/debug_msg (" exec_tests: <begin>");
#endif

  firstcase(tests);
  while (!lastcase(tests))
    {
      if (SILENT==VERBOSE)
	printf ("Running test %d\n",getno(tests));
      run_test (tests);
      prod_results(tests);
      nextcase(tests);
    }

  /* explain results (cases passed) */
  PrintTotalFailed ();
#ifdef DBUGMSG
  /*found*/debug_msg (" exec_tests: <end>");
#endif
}

