/*  Willard Goosey
 *  flush.c
 *  part of RT
 *  cs 328 fall 95
 *
 *  delete all files in RTresults
 */

#include "rt.h" 
#define MODE 0700
/* mode to create RDIR if it doesn't exist */


void flush_results()
{
   int pid;
   char *dmsg;
   char cmd[80] = "rm -f ";

   dmsg = (char *) malloc (sizeof(char)*80);

   if((pid = file_exist(RDIR)) !=3)
   {
#ifdef DBUGMSG
     /*found*/debug_msg ("directory does not exist, creating it");
     sprintf (dmsg,"file_exist returned %d",pid);
     /*found*/debug_msg (dmsg);
#endif
     mkdir(RDIR,MODE);
   }
   else
   {
#ifdef DBUGMSG
     /*found*/debug_msg ("directory exists");
#endif
      strcat(cmd,RDIR);
      strcat(cmd,"/*");
      system(cmd);
    }
#ifdef DBUGMSG
   /*found*/debug_msg ("done flushing");
#endif
 }


