/* ============================ */
/*        Manuel Gallegos       */
/*           regress.c          */
/*           Fall 1995          */
/* ============================ */
/*********************************
**  Updated by                  **
**    Jason Brackins            **
**    Late fall 1995            **
*********************************/
#include "rt.h"

char *GlobalDiff=NULL;
CASES *tests;
int ALLTESTS=1;
int GlobalTimeout=-1;
int FAILS=0;

main (int argc, char *argv[])
{
  struct listtest *testlist;
  int  ec=0;
  char *dmsg;

  dmsg = (char *) malloc (sizeof(char)*80);

  DEBUG = 0;
  SILENT = NORMAL;
  testlist = check_args (argc, argv);
  parse_cfile (testlist);
#ifdef DBUGMSG 
  sprintf (dmsg,"Parsed %d %s ... flushing ...",testlist,(SILENT?"silent":"non-silent"));
  /*found*/debug_msg (dmsg); 
#endif
  flush_results ();
#ifdef DBUGMSG 
  /*found*/debug_msg ("Flushed ... Running ..."); 
#endif
  exec_tests (tests);
#ifdef DBUGMSG 
  firstcase (tests);
  if (! SILENT)
  {
    sprintf (dmsg,"amount ... %d",tests->amount);
    /*found*/debug_msg (dmsg);
    sprintf (dmsg,"first case # %d",getno(tests));
    /*found*/debug_msg(dmsg);
  }
  while (! lastcase(tests) )
  {
    sprintf (dmsg,"%d %d <%s> <%s>",getno(tests),geterror(tests),getcmd(tests),getdesc(tests));
    /*found*/debug_msg (dmsg);
    nextcase (tests);
  }
  /*found*/debug_msg ("Ran ... now resulting ..."); 
#endif

  return ec;

}

