%{
/* ============================ */
/*        Manuel Gallegos       */
/*           scan.lex           */
/*           Fall 1995          */
/* ============================ */
/*        Nathan Paris          */
/*          rt 2.0              */
/* ============================ */

#include "rt.h"

char field[90];
int tn, i, j;

%}
dig      [0-9]
letter   [A-Za-z]
wtsp     [\ \t\n\r\v\f\b]
tno      {dig}+
cmd      "command="
desc     "description="
glbt     "global_timeout="        /*  rt2 */
glbd     "global_diff_options="   /*  rt2 */
outf     "output_files="          /*  rt2 */
diff     "diff_options="          /*  rt2 */
timeout  "timeout="               /*  rt2 */
%%
{wtsp}     {;}
{tno}      {tn = atoi (yytext);
	    return 1;}
{cmd}      {i = 0;
	    if ( (field[i]=input()) != '\n' )
	      {
		unput(field[i]);
		while ( (field[i]=input()) == ' ' );
		i++;
		while ( (field[i]=input()) != '\n' )
		  i++;
		field[i] = '\0';
		for (j=0;j<=i;j++)
		  yytext[j] = field[j];
	      }
	    else
	      {
		yytext[0] = '\0';
	      }
	    return 2;}
{desc}     {i = 0;
	    
	    if ( (field[i]=input()) != '\n' )
	      {
		unput(field[i]);
		while ( (field[i]=input()) == ' ' );
		i++;
		while ( (field[i]=input()) != '\n' )
		  i++;
		field[i] = '\0';
		for (j=0;j<=i;j++)
		  yytext[j] = field[j];
	      }
	    else
	      {
		yytext[0] = '\0';
	      }
	    return 3;}
{glbt}     {i = 0;
	    if ( (field[i]=input()) != '\n' )
	      {
		unput(field[i]);
		while ( (field[i]=input()) == ' ' );
		i++;
		while ( (field[i]=input()) != '\n' )
		  i++;
		field[i] = '\0';
		for (j=0;j<=i;j++)
		  yytext[j] = field[j];
	      }
	    else
	      {
		yytext[0] = '\0';
	      }
	    return 4;}
{glbd}     {i = 0;
	    if ( (field[i]=input()) != '\n' )
	      {
		unput(field[i]);
		while ( (field[i]=input()) == ' ' );
		i++;
		while ( (field[i]=input()) != '\n' )
		  i++;
		field[i] = '\0';
		for (j=0;j<=i;j++)
		  yytext[j] = field[j];
	      }
	    else
	      {
		yytext[0] = '\0';
	      }
	    return 5;}
{outf}     {i = 0;
	    if ( (field[i]=input()) != '\n' )
	      {
		unput(field[i]);
		while ( (field[i]=input()) == ' ' );
		i++;
		while ( (field[i]=input()) != '\n' )
		  i++;
		field[i] = '\0';
		for (j=0;j<=i;j++)
		  yytext[j] = field[j];
	      }
	    else
	      {
		yytext[0] = '\0';
	      }
	    return 6;}
{diff}     {i = 0;
	    if ( (field[i]=input()) != '\n' )
	      {
		unput(field[i]);
		while ( (field[i]=input()) == ' ' );
		i++;
		while ( (field[i]=input()) != '\n' )
		  i++;
		field[i] = '\0';
		for (j=0;j<=i;j++)
		  yytext[j] = field[j];
	      }
	    else
	      {
		yytext[0] = '\0';
	      }
	    return 7;}
{timeout}     {i = 0;
	    if ( (field[i]=input()) != '\n' )
	      {
		unput(field[i]);
		while ( (field[i]=input()) == ' ' );
		i++;
		while ( (field[i]=input()) != '\n' )
		  i++;
		field[i] = '\0';
		for (j=0;j<=i;j++)
		  yytext[j] = field[j];
	      }
	    else
	      {
		yytext[0] = '\0';
	      }
	    return 8;}
"#"        {while ( (field[0]=input()) != '\n' );
	    ;}
.          {fprintf (stderr,"%s file has incorrect format\nAborting.\n",CMDF);
	    exit (MISSCMD);}
